net.sf.jasperreports.charts

## Interface JRBarPlot

- All Superinterfaces:
    java.lang.Cloneable, JRCategoryAxisFormat, JRCategoryPlot, JRChartPlot, JRCloneable, JRValueAxisFormat
  All Known Implementing Classes:
    JRBaseBarPlot, JRDesignBarPlot, JRFillBarPlot

      public interface JRBarPlot
      extends JRCategoryPlot

  Type of plot used to render Bar, Stacked Bar, and XY Bar charts. It is a `JRCategoryPlot` that exposes specific settings for showing/hiding axis labels, tick marks and tick labels.
  Version:
    $Id: JRBarPlot.java 6995 2014-04-01 11:26:53Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `JRChartPlot.JRSeriesColor`

  - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.charts.JRCategoryAxisFormat

      `PROPERTY_CATEGORY_AXIS_TICK_LABEL_ROTATION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRItemLabel` | `getItemLabel()`
    `java.lang.Boolean` | `getShowLabels()`
    `java.lang.Boolean` | `getShowTickLabels()`
    `java.lang.Boolean` | `getShowTickMarks()`
    `void` | `setShowLabels(java.lang.Boolean isShowLabels)` Sets a flag that specifies whether the labels are to be shown or not
    `void` | `setShowTickLabels(java.lang.Boolean isShowTickLabels)` Sets a flag that specifies whether the tick labels are to be shown or not
    `void` | `setShowTickMarks(java.lang.Boolean isShowTickMarks)` Sets a flag that specifies whether the tick marks are to be shown or not

    - ### Methods inherited from interface net.sf.jasperreports.charts.JRCategoryPlot

      `getCategoryAxisLabelExpression, getDomainAxisMaxValueExpression, getDomainAxisMinValueExpression, getRangeAxisMaxValueExpression, getRangeAxisMinValueExpression, getValueAxisLabelExpression`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `addSeriesColor, clearSeriesColors, clone, collectExpressions, getBackcolor, getBackgroundAlphaFloat, getChart, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.charts.JRCategoryAxisFormat

      `getCategoryAxisLabelColor, getCategoryAxisLabelFont, getCategoryAxisLineColor, getCategoryAxisTickLabelColor, getCategoryAxisTickLabelFont, getCategoryAxisTickLabelMask, getCategoryAxisTickLabelRotation, getCategoryAxisVerticalTickLabels, getOwnCategoryAxisLabelColor, getOwnCategoryAxisLineColor, getOwnCategoryAxisTickLabelColor, setCategoryAxisTickLabelRotation`

    - ### Methods inherited from interface net.sf.jasperreports.charts.JRValueAxisFormat

      `getOwnValueAxisLabelColor, getOwnValueAxisLineColor, getOwnValueAxisTickLabelColor, getValueAxisLabelColor, getValueAxisLabelFont, getValueAxisLineColor, getValueAxisTickLabelColor, getValueAxisTickLabelFont, getValueAxisTickLabelMask, getValueAxisVerticalTickLabels`

- - ### Method Detail

    - #### getShowTickMarks

          java.lang.Boolean getShowTickMarks()

      Returns:
        a flag that specifies whether the tick marks are to be shown or not

    - #### setShowTickMarks

          void setShowTickMarks(java.lang.Boolean isShowTickMarks)

      Sets a flag that specifies whether the tick marks are to be shown or not
      Parameters:
        `isShowTickMarks` - the show tick marks flag

    - #### getShowTickLabels

          java.lang.Boolean getShowTickLabels()

      Returns:
        a flag that specifies whether the tick labels are to be shown or not

    - #### getItemLabel

          JRItemLabel getItemLabel()

      Returns:
        a `JRItemLabel` object representing the item label

    - #### setShowTickLabels

          void setShowTickLabels(java.lang.Boolean isShowTickLabels)

      Sets a flag that specifies whether the tick labels are to be shown or not
      Parameters:
        `isShowTickLabels` - the show tick labels flag

    - #### getShowLabels

          java.lang.Boolean getShowLabels()

      Returns:
        a flag that specifies whether the labels are to be shown or not

    - #### setShowLabels

          void setShowLabels(java.lang.Boolean isShowLabels)

      Sets a flag that specifies whether the labels are to be shown or not
      Parameters:
        `isShowLabels` - the show labels flag

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com